commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gary Gregory <garydgreg...@gmail.com>
Subject Re: [BeanUtils] Release 2.0.0 soonish
Date Thu, 12 Jul 2018 15:31:42 GMT
Long term I think we can get rid of the dependency on Commons Collection by
updating to Java 8 and lambas. So an incremental plan could be:

- Now: BeanUtils 1.x (commons-beanutils) depends on Commons Collection 3
(commons-collections).
- Next: BeanUtils 2.x (commons-beanutils2) depends on Commons Collection 4
(commons-collections4). This is ready.
- Next Next: BeanUtils 3.x (commons-beanutils3) depends on Java 8. This
needs thought and not too much work, probably.

Gary



On Sun, Jul 8, 2018 at 4:27 PM Gary Gregory <garydgregory@gmail.com> wrote:

> Hi All:
>
> Once I am done with releasing Commons Collections 4.2, I plan on releasing
> Commons BeanUtils 2.
>
> This will be a major version change due to the update from Commons
> Collections 3 to 4.
>
> If you want to change BeanUtils so that Commons Collections classes are
> NOT surfaced in the BeanUtils public API, now is the time to change that.
>
> Gary
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message